%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-interceptors-api_1.1
Version:          1.0.0
Release:          1%{dist}
Summary:          Interceptors 1.1 API
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-interceptors-api_1.1_spec-1.0.0.Final/
# tar czf jboss-interceptors-api_1.1_spec-1.0.0.Final-src-svn.tar.gz jboss-interceptors-api_1.1_spec-1.0.0.Final
Source0:          %{name}_spec-%{namedversion}-src-svn.tar.gz

BuildRequires:    java-devel
BuildRequires:    jboss-specs-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin

Requires:         jpackage-utils
Requires:         java
BuildArch:        noarch

%description
This package contains The JavaEE Interceptors 1.1 API classes from JSR 318.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Libraries
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}_spec-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/%{name}_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Aug 12 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

